import request from '@/utils/request'

// 查询PCT申请导入记录列表
export function listDPctApplyInfoPreImp(query) {
  return request({
    url: '/dimp/dPctApplyInfoPreImp/list',
    method: 'get',
    params: query
  })
}


export function importTemplate() {
  return request({
    url: '/dimp/dPctApplyInfoPreImp/importTemplate',
    method: 'get'
  })
}

// 查询PCT申请导入记录详细
export function getDPctApplyInfoPreImp(id) {
  return request({
    url: '/dimp/dPctApplyInfoPreImp/' + id,
    method: 'get'
  })
}

// 新增PCT申请导入记录
export function addDPctApplyInfoPreImp(data) {
  return request({
    url: '/dimp/dPctApplyInfoPreImp',
    method: 'post',
    data: data
  })
}

// 修改PCT申请导入记录
export function updateDPctApplyInfoPreImp(data) {
  return request({
    url: '/dimp/dPctApplyInfoPreImp',
    method: 'put',
    data: data
  })
}

// 删除PCT申请导入记录
export function delDPctApplyInfoPreImp(id) {
  return request({
    url: '/dimp/dPctApplyInfoPreImp/' + id,
    method: 'delete'
  })
}
